Open CASCADE Technology: ObjMgt_ExternShareable Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ObjMgt_ExternShareable Class Reference

`#include <ObjMgt_ExternShareable.hxx>`

Inheritance diagram for ObjMgt_ExternShareable:
[legend]

## Public Member Functions
| ObjMgt_ExternShareable ()
| ObjMgt_ExternShareable (const Storage_stCONSTclCOM &a)
Handle< PCollection_HAsciiString > | _CSFDB_GetObjMgt_ExternShareablemyEntry () const
void | _CSFDB_SetObjMgt_ExternShareablemyEntry (const Handle< PCollection_HAsciiString > &p)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

ObjMgt_ExternShareable::ObjMgt_ExternShareable | ( |  | ) |
| inline

ObjMgt_ExternShareable::ObjMgt_ExternShareable | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PCollection_HAsciiString > ObjMgt_ExternShareable::_CSFDB_GetObjMgt_ExternShareablemyEntry | ( |  | ) | const
| inline

void ObjMgt_ExternShareable::_CSFDB_SetObjMgt_ExternShareablemyEntry | ( | const Handle< PCollection_HAsciiString > & | p | ) |
| inline

The documentation for this class was generated from the following file:

- ObjMgt_ExternShareable.hxx